[erlang-bugs] release_handler error in upgrading slim release

Shunichi Shinohara <>
Wed Dec 4 15:06:44 CET 2013


Hi Siri,

> release_handler is not explicitly "slim-release aware", since this is
> a reltool mechanism. (And also, it is only experimental.)

So it's not (exactly) a bug, I'm sorry to bother you and the erlang-bugs list.

> I think, however, that you can solve your problem by unpacking your
> tar file manually and then using release_handler:set_unpacked/2
> instead of release_handler:unpack_release/1.

Thank you very much for the information. I tried release_handler:set_unpacked/2
and could confirm everything went well in upgrading with slim release. Yay!
I updated the sample repository and its README to explain the way.
https://github.com/shino/slim-upgrade-sample

Thanks again!

Shino


More information about the erlang-bugs mailing list